import React, { ReactNode } from 'react';
import classNames from 'classnames';
import './toolbarItem.less';

interface IProps {
  value: string;
  onClick: (value: string) => void;
  activeClassName?: string;
  children?: ReactNode;
  disabled?: boolean;
  active?: boolean;
}
const ToolbarItem = (props: IProps): JSX.Element => {
  const {
    children,
    onClick,
    value,
    activeClassName,
    disabled = false,
    active = false,
  } = props;
  const handleOnClick = () => {
    onClick(value);
  };
  return (
    <div
      onClick={handleOnClick}
      className={classNames('rdw-option-wrapper', {
        [`rdw-option-active ${activeClassName}`]: active,
        'rdw-option-disabled': disabled,
      })}
    >
      {children}
    </div>
  );
};

export default ToolbarItem;
